<?php
/**
 * PHP Integration of Open Flash Chart
 *
 * @version		$Id: OFC_Charts_Area_Hollow.php 110 2009-06-16 10:37:28Z eddieajau $
 * @copyright	Copyright (C) 2008 John Glazebrook <open-flash-chart@teethgrinder.co.uk>
 * @license		GNU Lesser General Public License version 2.1 or later.
 * @link		http://teethgrinder.co.uk/open-flash-chart-2/
 */

defined('PATH_OFC') or die;

require_once PATH_OFC.'/Charts/OFC_Charts_Area.php';

/**
 * @package		OpenFlashCharts
 */
class OFC_Charts_Area_Hollow extends OFC_Charts_Area
{
	public function __construct()
	{
		parent::__construct();

		$this->type	  = 'area_hollow';

		$this->{'fill-alpha'} = 0.35;

		$this->values	= array();
	}

	public function set_width($w)
	{
		$this->width	 = $w;
	}

	public function set_colour($colour)
	{
		$this->colour = $colour;
	}

	public function set_values($v) {
		$this->values = $v;
	}

	public function set_dot_size($size)
	{
		$this->{'dot-size'} = $size;
	}

	public function set_key($text, $font_size)
	{
		$this->text	  = $text;
		$this->{'font-size'} = $font_size;
	}
}
